> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a community



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json get /community/{id}
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}:
    get:
      tags:
        - Communities
      summary: Get a community
      operationId: CommunityController_getCommunity
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunityDto'
      security:
        - apiKey: []
components:
  schemas:
    CommunityDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        shortName:
          type: string
        description:
          type: string
        twitter:
          type: string
        discord:
          type: string
        youtube:
          type: string
        website:
          type: string
        logo:
          type: string
        type:
          type: string
        requestLevel:
          type: string
          enum:
            - open
            - approvalRequired
            - restricted
        approvedAt:
          format: date-time
          type: string
        verifiedAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - shortName
        - description
        - twitter
        - discord
        - youtube
        - website
        - logo
        - type
        - requestLevel
        - approvedAt
        - verifiedAt
        - createdAt
        - updatedAt
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````